1
I Use This!
Very High Activity

Commits : Listings

Analyzed 1 day ago. based on code collected 2 days ago.
Nov 07, 2025 — Nov 07, 2026
Commit Message Contributor Files Modified Lines Added Lines Removed Code Location Date
verify mls membership and confirmation tags in constant time More... 5 months ago
Improve ASN.1 zone offset validation More... 5 months ago
Improve ASN.1 zone offset validation More... 5 months ago
Merge branch 'main' of gitlab.cryptoworkshop.com:root/bc-java More... 5 months ago
Merge branch 'main' of gitlab.cryptoworkshop.com:root/bc-java More... 5 months ago
minor refactoring, fixed usage violation in openpgp More... 5 months ago
minor refactoring, fixed usage violation in openpgp More... 5 months ago
Merge branch 'rfc-9690-9709-rsa' into 'main' More... 5 months ago
Merge branch 'rfc-9690-9709-rsa' into 'main' More... 5 months ago
Add RFC 9690 RSA-KEM and RFC 9709 CEK-HKDF support to CMS EnvelopedData More... 5 months ago
Add RFC 9690 RSA-KEM and RFC 9709 CEK-HKDF support to CMS EnvelopedData More... 5 months ago
Merge branch 'main' of gitlab.cryptoworkshop.com:root/bc-java More... 5 months ago
Merge branch 'main' of gitlab.cryptoworkshop.com:root/bc-java More... 5 months ago
protected AEAD algorithms from direct key name specification causing confusion on parameter types. More... 5 months ago
protected AEAD algorithms from direct key name specification causing confusion on parameter types. More... 5 months ago
Resolve CMS AEAD (GCM/CCM/ChaCha) content parameters by OID, not the AES base-cipher name, so GCM emits RFC 5084 GCMParameters instead of a bare IV OCTET STRING More... 5 months ago
Resolve CMS AEAD (GCM/CCM/ChaCha) content parameters by OID, not the AES base-cipher name, so GCM emits RFC 5084 GCMParameters instead of a bare IV OCTET STRING More... 5 months ago
Add clarification to TODO question in HKDFByteGenerator More... 5 months ago
Add clarification to TODO question in HKDFByteGenerator More... 5 months ago
Reject unrecognised init parameters in RFC3394WrapEngine and RFC5649WrapEngine instead of silently leaving the engine unkeyed More... 5 months ago
Reject unrecognised init parameters in RFC3394WrapEngine and RFC5649WrapEngine instead of silently leaving the engine unkeyed More... 5 months ago
Add Bytes.rotateLeft and use it to replace the duplicated byte rotate helpers in CamelliaLightEngine and ElephantEngine More... 5 months ago
Add Bytes.rotateLeft and use it to replace the duplicated byte rotate helpers in CamelliaLightEngine and ElephantEngine More... 5 months ago
added GCM More... 5 months ago
added GCM More... 5 months ago
GeneralizedTime supports time zone offsets with minutes omitted (i.e. +/-hh) More... 5 months ago
GeneralizedTime supports time zone offsets with minutes omitted (i.e. +/-hh) More... 5 months ago
Merge branch 'pqc-ntru-refactor' into 'main' More... 5 months ago
Speed up NTRU (HPS / HRSS KEM) — replace the schoolbook polynomial multiply with Karatsuba More... 5 months ago
Merge branch 'pqc-ntru-refactor' into 'main' More... 5 months ago